
@manpage The std module

# The std module

The std module contains a number of general purpose types and functions for use with a wide variety of app types.

The standard module includes the following namespaces:

| Namespace				| Description
|:----------------------|:-----------
| [[std.collections]]	| The Stack, List and Map container classes.
| [[std.filesystem]]	| Functions for working with the OS filesystem.
| [[std.stringio]]		| Functions to help with loading, saving and parsing strings.
| [[std.stream]]		| The abstract Stream class and useful subclasses including FileStream.
| [[std.memory]]		| The DataBuffer class to make dealing with memory buffers easier.
| [[std.graphics]]		| Classes and functions for dealing with raw graphics data and colors.
| [[std.audio]]			| Classes and functions for dealing with raw audio data.
| [[std.random]]		| Functions for generating random numbers.
| [[std.geom]]			| Generic geometry classes for dealing with vector, matrices, pleanes, lines and quaternions.
| [[std.process]]		| The process class for using OS processes.
| [[std.socket]]		| The Socket and SocketStream classes for UDP networking.
| [[std.json]]			| Classes for loading and saving JSON data.

See also: [[streams|Streams]]

@import streams.md

